# Retrieve Classifiers
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/classifiers-and-parameters-management/retrieve-classifiers/index.md

## Overview {#overview}

The use case describes how you retrieve the classifiers for the client or contract (account contract or card contract).

## Sequence diagram {#sequence-diagram}

Diagram retrieve-classifiers

### Explanation {#explanation}

1. The server sends a `GET` request to the:
   * `/clients/{client_id}/classifiers` endpoint to fetch the classifiers for the client
   * `/contracts/{contract_id}/classifiers` endpoint to fetch the classifiers for the contract (account contract or card contract). The server must pass the `accountContractId` or the `cardContractId`, respectively, in place of the `contract_id` in the path.  
     In both requests, the server must pass a list of classifiers to be returned in the `classifier_codes` query parameter. Note: The `classifier_codes` is serialized with the `explode: false`, so it must be separated with a comma. For example, `/contracts/{contract_id}/classifiers?classifier_codes=ABU,CTLS_FLAG`
2. The API returns a list of requested classifiers containing its code, name, value, value name, and status.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/classifiers-and-parameters-management/retrieve-classifiers/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoints {#endpoints}


API Reference: `GET /clients/{client_id}/classifiers`


API Reference: `GET /contracts/{contract_id}/classifiers`

<br />

